# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    app.locale: en
    app.exclude_ttd_campaigns: "xav9ns9;27txqkx;ia4oxpt;gfgs6bm;rzz5pv1;ti3ya8o;hx7rt7b;9lniowf;iehnw45;6njgado;npaeznd;7d955f5;1dgnnfq;84h3a7d;krsl3go;nkyt6yn;s1331eu;yrz1yh9;0n1z7eq;4xfaswu;iv23ikr;jqatbww;llqfgfu;96vk9a5;990oqtb;1hdanj8"
    app.exclude_fb_campaigns: "23842559565120634;23842508727850237;23842512840970237;23842554687150576;23842554695220576;23842554723530576;23842578588020576;23842578591410576;23842578594420576;23842733212080127;23842571706170309;23842529419910309;23843001781680080"
    app.exclude_ppc_campaigns: "1;9;23;32;33;48;101"
    app.self_import_conso_agregators: [ 1, 4 ]
    app.self_exclude_agregators: [ 1, 7, 16 ]
    app.sendgrid_apikey: '%env(SENDGRID_APIKEY)%'
    app.mailer_transport: gmail
    app.mailer_host: smtp.gmail.com
    app.mailer_port: 587
    app.mailer_encryption: tls
    app.golden_api_host: '%env(GOLDEN_API_HOST)%'
    app.golden_api_port: '%env(GOLDEN_API_PORT)%'
    app.advertiser.directory.logo: '/mnt/swift/static/advertisers/'
    gitlab_it_url: 'http://gitlab.goldenbees.fr/api/v4/projects/31/'
    gitlab_it_token: 9BN1x-nfHnTer8TRCd1_
    gitlab_it_wiki: 'http://gitlab.goldenbees.fr/goldenbees/IT/-/wikis/'
    gitlab_tm_url: 'http://gitlab.goldenbees.fr/api/v4/projects/32/'
    gitlab_tm_token: yQQb85njdxS9y8WsXWwm
    gitlab_tm_wiki: 'http://gitlab.goldenbees.fr/goldenbees/Trader/-/wikis/'
    gitlab_bi_url: 'http://gitlab.goldenbees.fr/api/v4/projects/52/'
    gitlab_bi_token: DWvdBq8cBAJg_CWe_z6R
    gitlab_bi_wiki: 'http://gitlab.goldenbees.fr/goldenbees/bi/-/wikis/'
    gitlab_dev:        false
services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones



#    GoldenBees\DashboardBundle\:
#        resource: '../src/GoldenBees/DashboardBundle/*'
#        exclude: '../src/GoldenBees/DashboardBundle/{Entity,Repository}'
#
#    AtsBundle\:
#        resource: '../src/AtsBundle/*'
#        exclude: '../src/AtsBundle/{Entity,Repository}'

#    UserBundle\:
#        resource: '../src/UserBundle/*'
#        exclude: '../src/UserBundle/{Entity,Repository}'

    _instanceof:
        App\Services\EntityListener:
            tags:
                - { name: doctrine.event_listener, event: postUpdate }
                - { name: doctrine.event_listener, event: postPersist }
                - { name: doctrine.event_listener, event: postRemove }
        App\Validator\Constraints\PpcCampaignValidator:
            tags:
                - { name: validator.constraint_validator, alias: ppc_campaign_validator }

    App\Controller\SecurityController:
        public: true
        bind:
            $authenticationUtils: '@security.authentication_utils'
            #$encoderFactory: '@security.password_hasher_factory'
            $validator: '@validator'

    #   To remove after self merge
#    goldenbees_dashboard_bundle.services.log_entity:
#        public: true
#        class: App\Services\LogEntity
#        arguments:
#            - "@security.token_storage"
#
#    goldenbees_dashboard_bundle.services.entity_listener:
#        public: true
#        class: App\Services\EntityListener
#        arguments:
#            - "@goldenbees_dashboard_bundle.services.log_entity"
#        tags:
#            - { name: doctrine.event_listener, event: postUpdate }
#            - { name: doctrine.event_listener, event: postPersist }
#            - { name: doctrine.event_listener, event: postRemove }

#    goldenbees_dashboard_bundle.services.global_parameter_service:
#        public: true
#        class: App\Services\GlobalParameterService
#        arguments: [ "@doctrine.orm.entity_manager" ]

framework:
    # ...
    http_client:
        max_host_connections: 10
        default_options:
            headers: { 'X-Powered-By': 'ACME App' }
            max_redirects: 7
            verify_host: false
            verify_peer: false